EntityTypes


GET /{o}/{p}/entity-types

List entity types

List all entity types defined in this project.

Auth: Bearer token required · Permission: catalog:read

Path parameters

NameTypeDescription
ostring
pstring

Responses

StatusDescriptionSchema
200Entity typesEntityTypeList

POST /{o}/{p}/entity-types

Create an entity type

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring

Request body (application/json)

FieldTypeDescription
kindEntityType(required)
namestring(required)
displayNamestring
statesstring[](required)
initialStatestring(required)
propertiesobject[]
metricsobject[]
constraintsobject[]
syncTrackedboolean
syncFreshnessobject
applierstring

Responses

StatusDescriptionSchema
201Created entity typeEntityType
409Entity type already existsError

GET /{o}/{p}/entity-types/{name}

Get an entity type by name

Auth: Bearer token required · Permission: catalog:read

Path parameters

NameTypeDescription
ostring
pstring
namestring

Responses

StatusDescriptionSchema
200The entity typeEntityType
404Entity type not foundError

PUT /{o}/{p}/entity-types/{name}

Update an entity type

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring
namestring

Request body (application/json)

FieldTypeDescription
kindEntityType(required)
namestring(required)
displayNamestring
statesstring[](required)
initialStatestring(required)
propertiesobject[]
metricsobject[]
constraintsobject[]
syncTrackedboolean
syncFreshnessobject
applierstring

Responses

StatusDescriptionSchema
200Updated entity typeEntityType
404Entity type not foundError

DELETE /{o}/{p}/entity-types/{name}

Delete an entity type

Auth: Bearer token required · Permission: catalog:write

Path parameters

NameTypeDescription
ostring
pstring
namestring

Responses

StatusDescriptionSchema
200Deletion resultDeleted
404Entity type not foundError
409Still referenced by entitiesError

Schemas

Deleted

FieldTypeDescription
deletedtrue(required)
namestring(required)

EntityType

FieldTypeDescription
namestring(required)
displayNamestring
statesstring[](required)
initialStatestring(required)
propertiesobject[](required)
metricsobject[](required)
constraintsobject[](required)
syncTrackedboolean(required)
syncFreshnessobject
applierstring
orgIdstring(required)
projectIdstring(required)
createdAtstring | string(required)
updatedAtstring | string(required)

EntityTypeList

Type: EntityType[]

Error

FieldTypeDescription
errorstring(required)
codestring